/*
 *  MISynthesizeClipDlgController.h
 *  HyperEngine AV
 *
 *  Created by benjamin on Wed Jun 12 2002.
 *  Copyright (c) 2002 Arboretum Systems, Inc.. All rights reserved.
 *
 */

@class MISynthesizeClipCommand;
@class MIMontageDocument;

@interface MISynthesizeClipDlgController : NSWindowController
{
	IBOutlet id					fStartFrequencyTextBox;
	IBOutlet id					fEndFrequencyTextBox;
	IBOutlet id					fStartAttenuationTextBox;
	IBOutlet id					fEndAttenuationTextBox;
	IBOutlet id					fDurationTextBox;
	IBOutlet id					fStartRecordingButton;
	IBOutlet id					fStopRecordingButon;
	IBOutlet id					fNbChannelsRadioGroup;
	IBOutlet id					fEndSineWaveAt2PiRadCheckBox;
	IBOutlet id					fProgressBar;
	MIMontageDocument*			fMontageDoc;
}

- (IBAction)OKClicked:(id)sender;
- (IBAction)cancelClicked:(id)sender;
- (void)setMontageDoc:(MIMontageDocument*)doc;
@end

