/*
	please add ARCH_CLASS(MyClass) here for each Objective-C 
	class that subclasses ArmeObjCArchivable
*/

/**************************************************
IMPORTANT : From now on, add new classes at the end
**************************************************/

ARCH_CLASS(MIAllOnCommand)
ARCH_CLASS(MIAudioProcessingCommand)
ARCH_CLASS(MIChangeVAOCommand)
ARCH_CLASS(MICommand)
ARCH_CLASS(MIConfigureTransitionCommand)
ARCH_CLASS(MIConfigureTransitionLowLevelCommand)
ARCH_CLASS(MICopyCommand)
ARCH_CLASS(MICreateAudioProcessorCommand)
ARCH_CLASS(MICreateDeleteMarkerCommand)
ARCH_CLASS(MICreateVideoProcessorCommand)
ARCH_CLASS(MICreateWSObjsFromFilesCommand)
ARCH_CLASS(MICreateWSObjFromFileCommand)
ARCH_CLASS(MICreateMoveWSObjFromFileCommand)
ARCH_CLASS(MICreateContainerCommand)
ARCH_CLASS(MICreatePictFromFrameCommand)
ARCH_CLASS(MICropCommand)
ARCH_CLASS(MICutCommand)
ARCH_CLASS(MIDeleteCommand)
ARCH_CLASS(MIDeleteLowLevelCommand)
ARCH_CLASS(MIDocumentModel)
ARCH_CLASS(MIDCAdjustCommand)
ARCH_CLASS(MIDirtyResamplerCommand)
ARCH_CLASS(MIEncloseSelectionCommand)
ARCH_CLASS(MIFadeInCommand)
ARCH_CLASS(MIFadeVideoCommand)
ARCH_CLASS(MIFadeVideoLowLevelCommand)
ARCH_CLASS(MIFreezeCommand)
ARCH_CLASS(MIFreezeLowLevelCommand)
ARCH_CLASS(MIFadeOutCommand)
ARCH_CLASS(MIDuplicateCommand)
ARCH_CLASS(MIDuplicateManyCommand)
ARCH_CLASS(MIGainCommand)
ARCH_CLASS(MIInsertLowLevelCommand)
ARCH_CLASS(MIInvertPhaseCommand)
ARCH_CLASS(MILoopsmoothCommand)
ARCH_CLASS(MIMarker)
ARCH_CLASS(MIMergeCommand)
ARCH_CLASS(MIMoveCommand)
ARCH_CLASS(MIMoveMarkerCommand)
ARCH_CLASS(MIMuteCommand)
ARCH_CLASS(MINormalizeCommand)
ARCH_CLASS(MIObject)
ARCH_CLASS(MIObjectPositionCombo)
ARCH_CLASS(MIObjectMemento)
ARCH_CLASS(MIOverviewSavedView)
ARCH_CLASS(MIPasteLowLevelCommand)
ARCH_CLASS(MIPasteCommand)
ARCH_CLASS(MIRepositionLockedObjectsCommand)
ARCH_CLASS(MIResampleCommand)
ARCH_CLASS(MIResizeCommand)
ARCH_CLASS(MIReverseCommand)
ARCH_CLASS(MIShrinkToFitCommand)
ARCH_CLASS(MISilenceCommand)
ARCH_CLASS(MISingleMoveCommand)
ARCH_CLASS(MISoloCommand)
ARCH_CLASS(MISplitCommand)
ARCH_CLASS(MISplitLowLevelCommand)
ARCH_CLASS(MISwapChannelsCommand)
ARCH_CLASS(MITimeStretchCommand)
ARCH_CLASS(MITrimCommand)
ARCH_CLASS(MIUnfreezeCommand)
ARCH_CLASS(MIUnFreezeLowLevelCommand)
ARCH_CLASS(MIUnMuteCommand)
ARCH_CLASS(MIWSSelection)
ARCH_CLASS(MICreateAudioClipsFromRecordedTakesCommand)

//From here, classes are not sorted anymore
ARCH_CLASS(MILibraryElement)
ARCH_CLASS(MITimeStretchVideoCommand)
ARCH_CLASS(MIReverseVideoCommand)
ARCH_CLASS(MICreateClipsFromLibraryElementsCommand)
ARCH_CLASS(MISilenceVideoCommand)
ARCH_CLASS(MIInsertSilenceCommand)
ARCH_CLASS(MIMacroCommand)
ARCH_CLASS(MIConfigureVideoEffectCommand)
ARCH_CLASS(MIConfigureVideoEffectLowLevelCommand)
ARCH_CLASS(MIRenameCommand)
ARCH_CLASS(MIDeleteContainerCommand)
ARCH_CLASS(MICreateWSObjsFromFileCommand)
ARCH_CLASS(MILockToTimelineCommand)
ARCH_CLASS(MICollapseCommand)
ARCH_CLASS(MIExpandCommand)
ARCH_CLASS(MISingleCollapseCommand)
ARCH_CLASS(MISingleExpandCommand)
ARCH_CLASS(MIAdvancedFadeInCommand)
ARCH_CLASS(MIAdvancedFadeOutCommand)
ARCH_CLASS(MICreateClipFromSelectionCommand)
ARCH_CLASS(MIEditTextCommand)
ARCH_CLASS(MICreateTextClipCommand)