/****************************************************************************
 *   Copyright (C) 2004 by Arboretum Systems, Inc.                          *
 *   Technical administrator: Alain Mazy, hav@mazy.be                       *
 *   Lead program designer: Georges Jaroslaw, gjaro@arboretum.com           *
 *                                                                          *
 *   HyperEngine-AV is a video, audio and text editor that can be used to   *
 *   record, import, edit, process and arrange together video, sound and    *
 *   text. These are all achieved in the program's free-form document       *
 *   window, with no limitations to the number of tracks.                   *
 *   The purpose of this program is to provide to users at all levels of    *
 *   expertise a readily accessible tool enabling them to create movies,    *
 *   slide shows or presentations.                                          *
 *                                                                          *
 *   HyperEngine-AV itself is free software. However, plug-ins that can be  *
 *   used as add-ons to HyperEngine-AV may or may not be free software, at  *
 *   the discretion of each plug-in developer and as specified by these     *
 *   plug-ins' respective licenses.                                         *
 *   You can redistribute HyperEngine-AV itself and/or modify it under the  *
 *   terms of the GNU General Public License as published by the Free       *
 *   Software Foundation; either version 2 of the License, or (at your      *
 *   option) any later version.                                             *
 *                                                                          *
 *   HyperEngine-AV is distributed in the hope that it will be useful, but  *
 *   WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *   GNU General Public License for all applicable details.                 *
 *                                                                          *
 *   You should have received a copy of the GNU General Public License      *
 *   along with this program; if not, write to:                             *
 *   Free Software Foundation, Inc.,                                        *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.              *
 ****************************************************************************/

#import "MICreateMoveWSObjFromFileCommand.h"
#import "MICreateWSObjFromFileCommand.h"
#import "MISingleMoveCommand.h"
#import "MIResizeCommand.h"

#ifndef ArmeArchiveHandler_h
#include "ArmeArchiveHandler.h"
#endif //ArmeArchiveHandler_h


/****************************************************************************************************

MICreateMoveWSObjFromFileCommand

****************************************************************************************************/

@implementation MICreateMoveWSObjFromFileCommand : MICommand

/*
-(id)initFromArchive:(ArmeArchiveHandler*)handler
{
	vverntl(archivingEngine,0,"please implement MICreateMoveWSObjFromFileCommand :: initFromArchive:");
	self = [super initFromArchive:handler];
	if(self)
	{
		fCreateCmd = [handler->ReadObjCObject() retain];
		fMoveCmd = [handler->ReadObjCObject() retain];
		fEnlargeCommand = [handler->ReadObjCObject() retain];
	}
	return self;
}

-(BOOL)writeToArchive:(ArmeArchiveHandler*)handler
{
	vverntl(archivingEngine,0,"please implement MICreateMoveWSObjFromFileCommand :: writeToArchive:");
	[super writeToArchive:handler];
	handler->WriteObjCObject(fCreateCmd);
	handler->WriteObjCObject(fMoveCmd);
	handler->WriteObjCObject(fEnlargeCommand);
	return YES;
}

- (void)dealloc
{
	[fCreateCmd release];
	[fMoveCmd release];
	[fEnlargeCommand release];
	[super dealloc];
}

- (NSString*)commandName
{
	return @"Create Clip";
}

- (id)initWithDocument:(MIMontageDocument*)doc
{
	self = [super init];
	if ( self )
	{
		fCreateCmd = [[MICreateWSObjFromFileCommand alloc] initWithDocument:doc];
		fMoveCmd = [[MISingleMoveCommand alloc] initWithSelection:fSelection];
		fEnlargeCommand = nil;
	}
	return self;
}

- (void)setFile:(NSString*)file
{
	[fCreateCmd setFile:file];
}

- (void)setParent:(MIObject*)parent
{
	[fMoveCmd setNewParent:parent];
}
- (void)setPosition:(MIPoint)position
{
	[fMoveCmd setNewOrigin:position];
}

- (MIObject*)getCreatedObject
{
	return [fCreateCmd getCreatedObject];
}

- (MICmdStatus)doIt
{
	MIObject	*parent = [fMoveCmd newParent];
	
	[fCreateCmd _doIt];
	[fMoveCmd setObject:[self getCreatedObject]];
	[fMoveCmd _doIt];

	// check if parent size is big enough
	if ( parent && !MIContainsRect( [parent modelFrame], [parent minimalRectToFitContent] ) )
	{
		fEnlargeCommand = [[MIResizeCommand alloc] initWithSelection:fSelection];
		[fEnlargeCommand setObject:parent newFrame:MIUnionRect([parent modelFrame], [parent minimalRectToFitContent])];
		[fEnlargeCommand _doIt];
	}
	return kMICmdStatusDone;
}

- (void)undoIt
{
	[fEnlargeCommand _undoIt];
	[fMoveCmd _undoIt];
	[fCreateCmd _undoIt];
}

- (void)redoIt
{
	[fCreateCmd _redoIt];
	[fMoveCmd _redoIt];
	[fEnlargeCommand _redoIt];
}

- (ZzSplitTask*)getSplitTask
{
	return [fCreateCmd getSplitTask];
}
*/

@end


